/**
 * Server.java
 *
 * This creates the mailbox and the producer and consumer threads.
 *
 * @author Greg Gagne, Peter Galvin, Avi Silberschatz
 * @version 1.0 - July 15, 1999
 * Copyright 2000 by Greg Gagne, Peter Galvin, Avi Silberschatz
 * Applied Operating Systems Concepts - John Wiley and Sons, Inc.
 */

import java.util.*;
 
public class Server
{  
   public Server()
   {
      // first create the message buffer     
      MessageQueue mailBox = new MessageQueue();
      
      // now create the producer and consumer threads
      Producer producerThread = new Producer(mailBox);
      Consumer consumerThread = new Consumer(mailBox);
      
      producerThread.start();
      consumerThread.start();               
   }

   public static void main(String args[])
   {
      Server server = new Server();
   }
   
   public static final int NAP_TIME = 5;
}

