/**
 * TestThread.java
 * 
 * This thread is used to demonstrate how the scheduler operates.
 * This thread runs forever, periodically displaying its name.
 *
 * @author Greg Gagne, Peter Galvin, Avi Silberschatz
 * @version 1.0 - July 15, 1999.
 * Copyright 2000 by Greg Gagne, Peter Galvin, Avi Silberschatz
 * Applied Operating Systems Concepts - John Wiley and Sons, Inc.
 */

class TestThread extends Thread
{
private String name;

   public TestThread(String id) {
      name = id;
   }
   
   public void run() {
	/* 
	 * The thread does something
  	 **/
      while (true) {
	for (int i = 0; i < 500000; i++)
		;
	System.out.println("I am thread " + name);
      }
   }
}
