/**
 * Driver.java
 *
 * This program tests the test-and-set and swap instructions.
 * To run this program, comment out the algorithm that you do
 * not wish to test.
 *
 * @author Greg Gagne, Peter Galvin, Avi Silberschatz
 * @version 1.0 - July 15, 1999
 * Copyright 2000 by Greg Gagne, Peter Galvin, Avi Silberschatz
 * Applied Operating Systems Concepts - John Wiley and Sons, Inc.
 */

public class Driver
{
	public static void main(String args[]) {
		HardwareData lock = new HardwareData(false);
		HardwareData key = new HardwareData(true);

		// The following is used to test the testAndSet instruction
		while (true) {
			while (HardwareSolution.testAndSet(lock))
				Thread.yield(); // do nothing

			System.out.println("In Critical Section");

			lock.set(false);
			
			System.out.println("Out of Critical Section");
		}

		// The following is used to test the swap instruction
		/*
		while (true) {
			key.set(true);

			do {
				HardwareSolution.swap(lock,key);
			} while (key.get()  == true);	
			
			System.out.println("Critical Section");
			
			lock.set(false);
			
			System.out.println("Out of Critical Section");
		}
		*/
	}
}
